<template>
  <ob-tabs
    v-model="selectedTab" :items="items">
    <ob-tabs-pane title="Базовая цена" :is-selected="true">
      <base-price-tab />
    </ob-tabs-pane>

    <ob-tabs-pane title="Адресная БЦ">
      <address-base-price-tab />
    </ob-tabs-pane>

    <ob-tabs-pane title="Усредненный тариф">
      <average-rate-tab />
    </ob-tabs-pane>

    <ob-tabs-pane title="Экспертный тариф">
      <expert-rate-tab />
    </ob-tabs-pane>
  </ob-tabs>
</template>

<script>
import { mapGetters } from 'vuex';

import ObTabs from 'common-components/src/obComponents/obTabs';
import ObTabsPane from 'common-components/src/obComponents/obTabs/ObTabsPane';

import AddressBasePriceTab from './tabs/AddressBasePriceTab';
import BasePriceTab from './tabs/BasePriceTab';
import AverageRateTab from './tabs/AverageRateTab';
import ExpertRateTab from './tabs/ExpertRateTab';

export default {
  name: 'SettingsModal',
  components: {
    ObTabs,
    ObTabsPane,
    BasePriceTab,
    AddressBasePriceTab,
    AverageRateTab,
    ExpertRateTab,
  },
  data() {
    return {
      selectedTab: { title: 'Базовая цена' },
    };
  },
  computed: {
    ...mapGetters({
      modelStatus: 'base_prices/mathModalStatus',
    }),
    items() {
      return [
        {
          title: 'Базовая цена',
          notification: this.modelStatus.bMin || this.modelStatus.bAuthor
            ? 'error'
            : this.modelStatus.basePriceTabStatus,
        },
        {
          title: 'Адресная БЦ',
          notification: this.modelStatus.addressBasePriceTabStatus,
        },
        {
          title: 'Усредненный тариф',
          notification: this.modelStatus.coef
            ? 'error'
            : this.modelStatus.averageTariffTabStatus,
        },
        {
          title: 'Экспертный тариф',
          notification:
            this.modelStatus.expertTariffTabStatus ||
            this.modelStatus.expertTariffCalendarStatus,
        },
      ];
    },
  },
  methods: {
    setModelParam(param, value) {
      this.$emit('change', param, value);
    },
  },
};
</script>

<style lang="scss" scoped>
$cobalt-black: #191e32;
$shale-gray: #474b5b;
$gray-slate: #737682;

@import '../../../../../node_modules/common-components/src/static/css/mixins';

.form-content {
  padding: 20px 0 0;
  .formula-block {
    display: flex;
    justify-content: center;
    &__element {
      position: relative;
      font-size: 32px;
      line-height: 37px;
      color: #474b5b;
      letter-spacing: 0.2px;
    }
  }
}

.formula-block {
  display: flex;
  justify-content: center;
  padding: 116px 0;
  margin: 0 0 40px;
  &__element {
    @include font-mixin(32px, 37px, 400, $shale-gray, 0.2px);
    sub {
      font-size: 12px;
      text-transform: uppercase;
    }
    &__bottom-tip {
      position: relative;
      &:after {
        content: '';
        position: absolute;
        width: 1px;
        height: 30px;
        background: #9da0ac;
        left: 50%;
        bottom: -40px;
      }
      &__body {
        bottom: -75px;
      }
    }
    &__top-tip {
      position: relative;
      &:after {
        content: '';
        position: absolute;
        width: 1px;
        height: 30px;
        background: #9da0ac;
        left: 50%;
        top: -40px;
      }
      &__body {
        top: -75px;
      }
      &.align-right {
        left: -180px;
        text-align: right;
        min-width: 260px;
      }
    }
    &__top-tip__body,
    &__bottom-tip__body {
      position: absolute;
      left: 100%;
      transform: translateX(-20%);
      min-width: 155px;
      font-size: 12px;
      line-height: 13px;
      color: $gray-slate;
      text-transform: uppercase;
      word-break: break-word;
    }
  }
}

.symbol-box {
  @include font-mixin(32px, 37px, 400, $shale-gray, 0.2px);
  text-align: center;
}

::v-deep {
  .ob-tabs__panel {
    margin: 0 -5px;
    &-item {
      margin: 0 5px;
    }
  }
  .delta-percent {
    text-align: center;
    .units {
      align-self: center;
    }
  }
  .ob-modal-container .modal-footer {
    margin-top: 30px;
  }
  .form-content {
    .row {
      margin-left: 0;
      margin-right: 0;
    }
  }
}
</style>
